Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Unsichere Verwendung temporärer Dateien in Samba
Aktuelle Meldungen Distributionen
Name: Unsichere Verwendung temporärer Dateien in Samba
ID: SUSE-SU-2017:0841-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Software Development Kit 11-SP4, SUSE Linux Enterprise Server 11-SP4, SUSE Linux Enterprise Debuginfo 11-SP4
Datum: Di, 28. März 2017, 23:58
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-2619

Originalnachricht

   SUSE Security Update: Security update for samba
______________________________________________________________________________

Announcement ID: SUSE-SU-2017:0841-1
Rating: important
References: #1027147
Cross-References: CVE-2017-2619
Affected Products:
SUSE Linux Enterprise Software Development Kit 11-SP4
SUSE Linux Enterprise Server 11-SP4
SUSE Linux Enterprise Debuginfo 11-SP4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update for samba fixes the following issues:

Security issue fixed:
- CVE-2017-2619: symlink race permits opening files outside share
directory (bsc#1027147).


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11-SP4:

zypper in -t patch sdksp4-samba-13037=1

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-samba-13037=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-samba-13037=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64
s390x x86_64):

libldb-devel-3.6.3-87.1
libnetapi-devel-3.6.3-87.1
libnetapi0-3.6.3-87.1
libsmbclient-devel-3.6.3-87.1
libsmbsharemodes-devel-3.6.3-87.1
libsmbsharemodes0-3.6.3-87.1
libtalloc-devel-3.6.3-87.1
libtdb-devel-3.6.3-87.1
libtevent-devel-3.6.3-87.1
libwbclient-devel-3.6.3-87.1
samba-devel-3.6.3-87.1
samba-test-3.6.3-87.1

- SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

ldapsmb-1.34b-87.1
libldb1-3.6.3-87.1
libsmbclient0-3.6.3-87.1
libtalloc2-3.6.3-87.1
libtdb1-3.6.3-87.1
libtevent0-3.6.3-87.1
libwbclient0-3.6.3-87.1
samba-3.6.3-87.1
samba-client-3.6.3-87.1
samba-krb-printing-3.6.3-87.1
samba-winbind-3.6.3-87.1

- SUSE Linux Enterprise Server 11-SP4 (ppc64 s390x x86_64):

libsmbclient0-32bit-3.6.3-87.1
libtalloc2-32bit-3.6.3-87.1
libtdb1-32bit-3.6.3-87.1
libtevent0-32bit-3.6.3-87.1
libwbclient0-32bit-3.6.3-87.1
samba-32bit-3.6.3-87.1
samba-client-32bit-3.6.3-87.1
samba-winbind-32bit-3.6.3-87.1

- SUSE Linux Enterprise Server 11-SP4 (noarch):

samba-doc-3.6.3-87.1

- SUSE Linux Enterprise Server 11-SP4 (ia64):

libsmbclient0-x86-3.6.3-87.1
libtalloc2-x86-3.6.3-87.1
libtdb1-x86-3.6.3-87.1
libtevent0-x86-3.6.3-87.1
libwbclient0-x86-3.6.3-87.1
samba-client-x86-3.6.3-87.1
samba-winbind-x86-3.6.3-87.1
samba-x86-3.6.3-87.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):

samba-debuginfo-3.6.3-87.1
samba-debugsource-3.6.3-87.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (ppc64 s390x x86_64):

samba-debuginfo-32bit-3.6.3-87.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (ia64):

samba-debuginfo-x86-3.6.3-87.1


References:

https://www.suse.com/security/cve/CVE-2017-2619.html
https://bugzilla.suse.com/1027147

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung